# $Revision: 1.93 $, $Date: 2010/05/30 13:02:12 $
#
# Conditional build:
%bcond_with	python	# enable python integration (HIGHLY EXPERIMENTAL)
#
Summary:	Bluefish - HTML editor for the experienced web designer
Summary(pl.UTF-8):	Bluefish - Edytor HTML-a dla zaawansowanych
Name:		bluefish
Version:	2.0.0
Release:	3
License:	GPL
Group:		X11/Applications/Editors
# The master server is here
Source0:	http://www.bennewitz.com/bluefish/stable/source/%{name}-%{version}.tar.bz2
# Source0-md5:	ac9b1e8ef6d5691718a0daa6c78d5618
# but if you want ftp: try this one
# Source0:	ftp://bluefish.advancecreations.com/bluefish/downloads/%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-locales.patch
URL:		http://bluefish.openoffice.nl/
BuildRequires:	aspell-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gnome-vfs2-devel >= 2.2
BuildRequires:	gtk+2-devel	>= 2.14
BuildRequires: intltool
BuildRequires:	libbonobo-devel >= 2.2
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.2.5
BuildRequires:	libtiff-devel
BuildRequires: libtool
BuildRequires:	pcre-devel	>=	3.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires:	gnome-vfs2 >= 2.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bluefish is a GTK+ based HTML editor designed for the experienced web
designer.

%description -l pl.UTF-8
Bluefish jest opartym na GTK+ edytorem HTML-a, przeznaczonym dla
doświadczonych projektantów stron WWW.

%description -l pt_BR.UTF-8
O bluefish é um editor HTML feito com GTK+ para web designers
experientes. Atualmente ele está em estágio alfa, mas já está bastante
usável. Algumas opções ainda não estão completamente finalizadas.
Bluefish é liberado sob a licença GPL.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

mv -f po/ko{_KR,}.po
mv -f po/sr{,@Latn}.po
mv -f src/plugin_about/po/sr{,@Latn}.po  
mv -f src/plugin_charmap/po/sr{,@Latn}.po  
mv -f src/plugin_entities/po/sr{,@Latn}.po  
mv -f src/plugin_htmlbar/po/sr{,@Latn}.po  
mv -f src/plugin_infbrowser/po/sr{,@Latn}.po  
mv -f src/plugin_snippets/po/sr{,@Latn}.po

%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--disable-update-databases \
	%{?with_python:--enable-python}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p doc/bflang/
mv data/bflang/sample.bflang2 doc/bflang/
rm -r %{buildroot}%{_docdir}/bluefish/

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/
%attr(755,root,root) %{_bindir}/bluefish
%dir %{_datadir}/%{name}
%{_datadir}/mime/packages/bluefish.xml
%{_datadir}/xml/bluefish
%{_datadir}/bluefish/bflang
%{_datadir}/bluefish/bflib
%{_datadir}/bluefish/bluefish_splash.png
%{_datadir}/bluefish/encodings
%{_mandir}/man1/bluefish.1*
%{_iconsdir}/hicolor/128x128/apps/bluefish.png
%{_iconsdir}/hicolor/128x128/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/16x16/apps/bluefish.png
%{_iconsdir}/hicolor/16x16/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/192x192/apps/bluefish.png
%{_iconsdir}/hicolor/192x192/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/22x22/apps/bluefish.png
%{_iconsdir}/hicolor/22x22/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/32x32/apps/bluefish.png
%{_iconsdir}/hicolor/32x32/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/36x36/apps/bluefish.png
%{_iconsdir}/hicolor/36x36/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/48x48/apps/bluefish.png
%{_iconsdir}/hicolor/48x48/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/64x64/apps/bluefish.png
%{_iconsdir}/hicolor/64x64/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/72x72/apps/bluefish.png
%{_iconsdir}/hicolor/72x72/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/96x96/apps/bluefish.png
%{_iconsdir}/hicolor/96x96/mimetypes/application-x-bluefish-project.png
%{_iconsdir}/hicolor/scalable/apps/bluefish-icon.svg
%{_iconsdir}/hicolor/scalable/mimetypes/bluefish-project.svg
%{_desktopdir}/bluefish.desktop
%{_pixmapsdir}/application-x-bluefish-project.png
%{_pixmapsdir}/bluefish.png
%dir %{_libdir}/bluefish
%attr(755,root,root) %{_libdir}/bluefish/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluefish.spec,v $
Revision 1.93  2010/05/30 13:02:12  hawk
- one more broken dir deps fix

Revision 1.92  2010/05/30 12:25:10  hawk
- fixed broken directory deps

Revision 1.91  2010/04/11 20:29:35  jasw
- clean up
- rel. 1

Revision 1.90  2010/04/11 19:06:21  jasw
- add missing files
- TODO: find_lang didn't catch all *mo files..

Revision 1.89  2010/04/11 18:01:38  jasw
- starting up to 2.0.0
- rel 0.1

Revision 1.88  2009/05/14 08:33:59  paszczus
- added missing Require: gnome-vfs2 (without it bluefish got SIGSEGV); rel 4

Revision 1.87  2007/11/03 23:11:26  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.86  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.85  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.84  2007/02/07 14:05:47  megabajt
- added --with-freedesktop_org-mime to %configure
- release 2

Revision 1.83  2007/02/07 13:29:58  megabajt
- cleanup

Revision 1.82  2007/02/07 13:20:42  megabajt
- updated to 1.0.7

Revision 1.81  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.80  2006/08/27 11:48:01  krystian
- R: hicolor-icon-theme instead gnome-icon-theme

Revision 1.79  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.78  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.77  2005/10/08 08:44:19  freetz
- 1.0.4

Revision 1.76  2005/07/08 14:21:18  freetz
- 1.0.2, po_install patch already included

Revision 1.75  2005/06/13 18:18:20  freetz
- md5

Revision 1.74  2005/06/13 18:15:16  freetz
- 1.0.1, updated patches, cleanup: removed duplicated icon, move mime type
  icon to right place, pass more options to configure (disabling obsoleted
  gnome2.4 stuff), register mime types, remove 'project' desktop, require
  gnome-icon-theme, disabled gettextize macro to avoid build problems,
  require shared-mime-info in post/postun stages, rel.1

Revision 1.73  2005/04/12 21:02:05  freetz
- cleaned up a bit: removed outdated destdir patch, added post/postun
  update-desktop-database, removed obsoleted mime stuff, rel.2

Revision 1.72  2005/01/13 18:56:55  patrys
- version up to 1.0
- STBR

Revision 1.71  2005/01/05 22:35:06  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.70  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.69  2004/09/28 08:57:01  krzak
- rel 2
- updated desktop.patch
- STBR

Revision 1.68  2004/07/25 22:36:37  ankry
- no -> nb, sr -> sr@Latn, enable more locales (-locale patch)

Revision 1.67  2004/04/09 19:43:53  bszx
- updated to 0.13

Revision 1.66  2004/02/24 01:11:54  ankry
- pl fixes, cosmetics

Revision 1.65  2003/12/06 18:36:16  freetz
- 0.12
- updated BRs
- home_etc needs update

Revision 1.64  2003/11/19 23:12:55  witekfl
- added home_etc.patch
- rel 2

Revision 1.63  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.62  2003/08/06 16:36:19  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.61  2003/07/27 21:05:43  blues
- removed dummy pt_BR summary

Revision 1.60  2003/07/27 20:22:05  adamg
- updated to 0.11

Revision 1.59  2003/07/18 11:35:45  freetz
- typo

Revision 1.58  2003/07/18 11:24:33  freetz
- bcond for build with gcc optimizations
- added missing BR aspell-devel
- new, sexy icon
- patched .desktop (pl, changed group office -> development, cleanups)

Revision 1.57  2003/07/17 22:09:31  grzegol
- updated to 0.10
- updated DESTDIR patch
- now .desktop file is in %%{_desktopdir} directory
- cleanups/simplifications

Revision 1.56  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.55  2003/05/25 05:46:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/03/22 12:00:18  djrzulf
- corrections by Robert 'dzeus' Graużenis <dzeus@zatorze.slupsk.pl>,

Revision 1.53  2003/02/20 12:26:30  djrzulf
- cosmetics, fixed build

Revision 1.52  2003/02/20 01:45:52  djrzulf
- finished, STBR

Revision 1.51  2003/02/20 01:08:38  djrzulf
- cosmetics

Revision 1.50  2003/02/20 01:03:44  djrzulf
- updated to 0.9, temporary save

Revision 1.49  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.48  2002/11/06 20:19:55  ankry
- added missing manpage to %%files
- added -pl patch

Revision 1.47  2002/10/30 12:48:36  ankry
- desktop moved to Editors/HTML, rel. 5

Revision 1.46  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.45  2002/07/10 16:56:13  blues
- release 4
- added procesor optimization options
- 2 patches from MDK - locale and netscape-now-mozilla
- autocomplete during edition turned on - nice thing...
STBR

Revision 1.44  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.43  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/25 15:54:01  arturs
fixed a small typo

Revision 1.40  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/21 13:30:40  zytek
- release 3; STBR

Revision 1.37  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2002/01/06 06:21:50  kloczek
- release 2: merge translations from Conectiva.

Revision 1.35  2001/11/24 19:25:51  ankry
- updated source0 URL

Revision 1.34  2001/11/24 17:01:23  filon
- updated to 0.7
- remake DESTDIR patch

Revision 1.33  2001/11/13 12:19:23  qboosh
- adapterized

Revision 1.32  2001/09/26 09:26:58  qboosh
- BuildRequires: libtool

Revision 1.31  2001/08/28 16:08:42  kloczek
- release 2,
- added png Icon for desktop file,
- added missing BuildRequires.

Revision 1.30  2001/08/25 11:53:48  filon
- added regenerating configuration files
- added patch: %%{name}-ac_lt.patch to use libtool
- spec ac-2.5 ready

Revision 1.29  2001/03/19 13:06:06  cieciwa
- updated to version 0.6.
stb

Revision 1.28  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.27  2000/07/28 17:28:30  kloczek
- spec adapterized.

Revision 1.26  2000/07/28 13:56:45  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.25  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/28 10:28:48  kloczek
- release 2.

Revision 1.22  2000/05/27 22:48:07  michuz
- %%applnkdir changed

Revision 1.21  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.20  2000/05/14 22:28:20  kloczek
- updated to 0.4,
- updated Source url and URL.

Revision 1.19  2000/05/05 00:19:53  kloczek
- release2,
- removed entries files in /tmp.

Revision 1.18  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.17  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  2000/02/28 07:42:41  kloczek
- updated to 0.3.6,
- spec adapterized,
- updated DESTDIR patch.

Revision 1.14  2000/01/14 13:40:20  cieciwa
- updated to version 0.3.5.

Revision 1.13  1999/11/19 06:47:03  kloczek
- updated to 0.3.4.

Revision 1.12  1999/11/13 18:27:17  kloczek
- release 2.

Revision 1.11  1999/11/13 17:01:49  kura
- fixed pl translation

Revision 1.10  1999/10/12 23:13:13  kloczek
- small corection: removed --exec-prefix=%%{_prefix} from ./configure
  parameters (%%{_exec_prefix have defult %%{_prefix} value).

Revision 1.9  1999/10/11 22:03:07  pius
- updated to 0.3.3a
- added more rpm macros
- added using %%configure macro
- cosmetics

Revision 1.8  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.7  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 28 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.3.1-1]
- initial rpm release.
